#include<iostream>
#include<string>
using namespace std;
int main()
{
    string s;
    cin>>s;
    int l=0,d=s.size()-1,br=0;
    while(l<d)
    {
        if(s[l]!=s[d])
        {
            l++;
            d--;
        }
        else
        {
            if(s[l]!=s[l+1])
            {
                l++;
                br++;
            }
            else
            {
                if(s[d]!=s[d-1])
                {
                    d--;
                    br++;
                }
                else
                {
                    l++;
                    d--;
                }
            }
        }
    }
    cout<<br;
    return 0;
}